Subject: [bug#58499] [PATCH v2] gnu: Add citra

From: Florian <[email-masked]>
Date: Tue, 01 Nov 2022 15:56:20 +0000

>> +    (source
>> +     (origin
>> +       (method git-fetch)
>> +       (uri (git-reference
>> +             (url "https://github.com/citra-emu/citra-nightly")
>> +             (commit
>> +              (string-append "nightly-" revision))
>> +             ;;some submodules can't be avoided
>> +             ;;TODO devendor the rest
>> +             (recursive? #t)))
> Why not?
>> +       (sha256
>> +        (base32
>> +         "1grkrrxs1497i51spgnwmgfkqgkm7gplylhcrk67agaklx65d5s9"))
>> +       (file-name (git-file-name name version))
>> +       (modules '((guix build utils)))
>> +         (snippet
>> +          '(begin
>> +             ;; Remove as much external stuff as we can
>> +             ;; f.e. some files in boost are still needed
> We have a boost package.

What I mean by avoid: the rest of submodules we would need to replace in
place (which I mean by devendor). I have tried to add a build
phase doing so, but wasn't successful by now. It will be a
huge amount of work added anyways, which would take me a bigger amount
of time.
For some reason disabling the bundled version of boost still seems to
leave some links to the bundled boost in the build, so when I remove it,
the build fails. 

>> +         "-DUSE_DISCORD_PRESENCE=ON")
> Again, no cookies for proprietary software.

I don't see use to discuss this as I would like to get to get this done
and I don't need it.
v3 coming soon, I hope i get the changelog right this time...
Cheers.